Bug 1261662 - oom killer kills epiphany on certain webpage
oom killer kills epiphany on certain webpage
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: webkitgtk4 (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tomas Popela
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-09 18:26 EDT by Štefan Gurský
Modified: 2015-09-25 16:50 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-25 16:50:47 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
WebKit Project 126122 None None None Never

  None (edit)
Description Štefan Gurský 2015-09-09 18:26:03 EDT
Description of problem:
Opening the following page makes epiphany and computer stop responding until oomkiller kills webkit

http://www.reuters.com/article/2015/09/02/us-iran-nuclear-congress-idUSKCN0R21L620150902

Version-Release number of selected component (if applicable):
Name        : webkitgtk4
Version     : 2.8.5
Release     : 2.fc22
Architecture: x86_64

Name        : epiphany
Epoch       : 1
Version     : 3.16.2
Release     : 2.fc22
Architecture: x86_64

How reproducible:
It seems it happens always.

Steps to Reproduce:
1. open epiphany
2. go to aforementioned website
3. observe computer stop responding
4. wait several minutes for oomkiller to kill webkit

Actual results:
computer stops responding

Expected results:
webpage displayed

Additional info:

This is in journal:

sep 09 23:09:04 zork kernel: Out of memory: Kill process 4535 (WebKitWebProces) score 185 or sacrifice child
sep 09 23:09:04 zork kernel: Killed process 4535 (WebKitWebProces) total-vm:37793800kB, anon-rss:7052kB, file-rss:5755228kB


If I set ulimit (I think it was -m 2072576 and -v 2072576 but maybe one or both were twice that – with small ulimit it does not even run) , I get this in journal after opening the page:

sep 10 00:16:18 zork systemd-coredump[13658]: Process 13614 (WebKitWebProces) of user 1000 dumped core.
                                              
                                              Stack trace of thread 13614:
                                              #0  0x00007f149fc9ca1e _ZN7bmalloc6VMHeap4growEv (libjavascriptcoregtk-4.0.so.18)
                                              #1  0x00007f149fc9ae18 _ZN7bmalloc4Heap17allocateSmallPageERSt10lock_guardINS_11StaticMutexEEm (libjavascriptcoregtk-4.0.so.18)
                                              #2  0x00007f149fc9ae46 _ZN7bmalloc4Heap25refillSmallBumpRangeCacheERSt10lock_guardINS_11StaticMutexEEmRNS_11FixedVectorINS_9BumpR
                                              #3  0x00007f149fc983f5 _ZN7bmalloc9Allocator25allocateBumpRangeSlowCaseEm (libjavascriptcoregtk-4.0.so.18)
                                              #4  0x00007f149fc985c0 _ZN7bmalloc9Allocator16allocateSlowCaseEm (libjavascriptcoregtk-4.0.so.18)
                                              #5  0x00007f14a12cfcf4 _ZN7WebCore15TextureMapperGL13createTextureEv (libwebkit2gtk-4.0.so.37)
                                              #6  0x00007f14a0e02a5f _ZN7WebCore17TextureMapperTile14updateContentsEPNS_13TextureMapperEPNS_13GraphicsLayerERKNS_7IntRectENS_13
                                              #7  0x00007f14a0e03bb0 _ZN7WebCore30TextureMapperTiledBackingStore14updateContentsEPNS_13TextureMapperEPNS_13GraphicsLayerERKNS_9
                                              #8  0x00007f14a12cd686 _ZN7WebCore26GraphicsLayerTextureMapper26updateBackingStoreIfNeededEv (libwebkit2gtk-4.0.so.37)
                                              #9  0x00007f14a12cd74d _ZN7WebCore26GraphicsLayerTextureMapper36updateBackingStoreIncludingSubLayersEv (libwebkit2gtk-4.0.so.37)
                                              #10 0x00007f14a12cd794 _ZN7WebCore26GraphicsLayerTextureMapper36updateBackingStoreIncludingSubLayersEv (libwebkit2gtk-4.0.so.37)
                                              #11 0x00007f14a12cd794 _ZN7WebCore26GraphicsLayerTextureMapper36updateBackingStoreIncludingSubLayersEv (libwebkit2gtk-4.0.so.37)
                                              #12 0x00007f14a12cd794 _ZN7WebCore26GraphicsLayerTextureMapper36updateBackingStoreIncludingSubLayersEv (libwebkit2gtk-4.0.so.37)
                                              #13 0x00007f14a12cd794 _ZN7WebCore26GraphicsLayerTextureMapper36updateBackingStoreIncludingSubLayersEv (libwebkit2gtk-4.0.so.37)
                                              #14 0x00007f14a12cd794 _ZN7WebCore26GraphicsLayerTextureMapper36updateBackingStoreIncludingSubLayersEv (libwebkit2gtk-4.0.so.37)
                                              #15 0x00007f14a12cd794 _ZN7WebCore26GraphicsLayerTextureMapper36updateBackingStoreIncludingSubLayersEv (libwebkit2gtk-4.0.so.37)
                                              #16 0x00007f14a12cd794 _ZN7WebCore26GraphicsLayerTextureMapper36updateBackingStoreIncludingSubLayersEv (libwebkit2gtk-4.0.so.37)
                                              #17 0x00007f14a12cd794 _ZN7WebCore26GraphicsLayerTextureMapper36updateBackingStoreIncludingSubLayersEv (libwebkit2gtk-4.0.so.37)
                                              #18 0x00007f14a12cd794 _ZN7WebCore26GraphicsLayerTextureMapper36updateBackingStoreIncludingSubLayersEv (libwebkit2gtk-4.0.so.37)
                                              #19 0x00007f14a12cd794 _ZN7WebCore26GraphicsLayerTextureMapper36updateBackingStoreIncludingSubLayersEv (libwebkit2gtk-4.0.so.37)
                                              #20 0x00007f14a12cd794 _ZN7WebCore26GraphicsLayerTextureMapper36updateBackingStoreIncludingSubLayersEv (libwebkit2gtk-4.0.so.37)
                                              #21 0x00007f14a06958c1 _ZN6WebKit16LayerTreeHostGtk24flushPendingLayerChangesEv (libwebkit2gtk-4.0.so.37)
                                              #22 0x00007f14a0695ba4 _ZN6WebKit16LayerTreeHostGtk20flushAndRenderLayersEv (libwebkit2gtk-4.0.so.37)
                                              #23 0x00007f14a0695c27 _ZN6WebKit16LayerTreeHostGtk20layerFlushTimerFiredEv (libwebkit2gtk-4.0.so.37)
                                              #24 0x00007f149fc97195 _ZN3WTF15GMainLoopSource12voidCallbackEv (libjavascriptcoregtk-4.0.so.18)
                                              #25 0x00007f149fc9339a _ZN3WTF15GMainLoopSource18voidSourceCallbackEPS0_ (libjavascriptcoregtk-4.0.so.18)
                                              #26 0x00007f149c9aaa8a g_main_context_dispatch (libglib-2.0.so.0)
                                              #27 0x00007f149c9aae20 g_main_context_iterate.isra.29 (libglib-2.0.so.0)
                                              #28 0x00007f149c9ab142 g_main_loop_run (libglib-2.0.so.0)
                                              #29 0x00007f14a18a7980 _ZN3WTF7RunLoop3runEv (libwebkit2gtk-4.0.so.37)
                                              #30 0x00007f14a069426a _ZN6WebKit16ChildProcessMainINS_10WebProcessENS_14WebProcessMainEEEiiPPc (libwebkit2gtk-4.0.so.37)
                                              #31 0x00007f1497205700 __libc_start_main (libc.so.6)
                                              #32 0x00005576cf3a4c69 _start (WebKitWebProcess)
                                              
                                              Stack trace of thread 13620:
                                              #0  0x00007f14972dc2fd poll (libc.so.6)
                                              #1  0x00007f149c9aadbc g_main_context_iterate.isra.29 (libglib-2.0.so.0)
                                              #2  0x00007f149c9ab142 g_main_loop_run (libglib-2.0.so.0)
                                              #3  0x00007f149fc73335 _ZN3WTFL16threadEntryPointEPv (libjavascriptcoregtk-4.0.so.18)
                                              #4  0x00007f149fc8fffa _ZN3WTFL19wtfThreadEntryPointEPv (libjavascriptcoregtk-4.0.so.18)
                                              #5  0x00007f149ed6c555 start_thread (libpthread.so.0)
                                              #6  0x00007f14972e7b9d __clone (libc.so.6)
                                              
                                              Stack trace of thread 13628:
                                              #0  0x00007f149ed71540 pthread_cond_wait@@GLIBC_2.3.2 (libpthread.so.0)
                                              #1  0x00007f1497b77f0c _ZNSt18condition_variable4waitERSt11unique_lockISt5mutexE (libstdc++.so.6)
                                              #2  0x00007f149f9659d7 _ZN3JSC14BlockAllocator22blockFreeingThreadMainEv (libjavascriptcoregtk-4.0.so.18)
                                              #3  0x00007f149fc73335 _ZN3WTFL16threadEntryPointEPv (libjavascriptcoregtk-4.0.so.18)
                                              #4  0x00007f149fc8fffa _ZN3WTFL19wtfThreadEntryPointEPv (libjavascriptcoregtk-4.0.so.18)
                                              #5  0x00007f149ed6c555 start_thread (libpthread.so.0)
                                              #6  0x00007f14972e7b9d __clone (libc.so.6)
                                              
                                              Stack trace of thread 13617:
                                              #0  0x00007f14972dc2fd poll (libc.so.6)
                                              #1  0x00007f149c9aadbc g_main_context_iterate.isra.29 (libglib-2.0.so.0)
                                              #2  0x00007f149c9ab142 g_main_loop_run (libglib-2.0.so.0)
                                              #3  0x00007f149fc73335 _ZN3WTFL16threadEntryPointEPv (libjavascriptcoregtk-4.0.so.18)
                                              #4  0x00007f149fc8fffa _ZN3WTFL19wtfThreadEntryPointEPv (libjavascriptcoregtk-4.0.so.18)
                                              #5  0x00007f149ed6c555 start_thread (libpthread.so.0)
                                              #6  0x00007f14972e7b9d __clone (libc.so.6)
                                              
                                              Stack trace of thread 13653:
                                              #0  0x00007f14972e1eb9 syscall (libc.so.6)
                                              #1  0x00007f149c9f014a g_cond_wait_until (libglib-2.0.so.0)
                                              #2  0x00007f149c97fa29 g_async_queue_pop_intern_unlocked (libglib-2.0.so.0)
                                              #3  0x00007f149c98004b g_async_queue_timeout_pop (libglib-2.0.so.0)
                                              #4  0x00007f149c9d2afa g_thread_pool_thread_proxy (libglib-2.0.so.0)
                                              #5  0x00007f149c9d20a5 g_thread_proxy (libglib-2.0.so.0)
                                              #6  0x00007f149ed6c555 start_thread (libpthread.so.0)
                                              #7  0x00007f14972e7b9d __clone (libc.so.6)
                                              
                                              Stack trace of thread 13621:
                                              #0  0x00007f149ed74c7d __nanosleep (libpthread.so.0)
                                              #1  0x00007f149fc9b901 _ZN7bmalloc4Heap8scavengeERSt11unique_lockINS_11StaticMutexEENSt6chrono8durationIlSt5ratioILl1ELl1000EEEE 
                                              #2  0x00007f149fc9ba1f _ZN7bmalloc4Heap18concurrentScavengeEv (libjavascriptcoregtk-4.0.so.18)
                                              #3  0x00007f149fc9c09e _ZN7bmalloc9AsyncTaskINS_4HeapEMS1_FvvEE10entryPointEv (libjavascriptcoregtk-4.0.so.18)
                                              #4  0x00007f149fc9c329 _ZN7bmalloc9AsyncTaskINS_4HeapEMS1_FvvEE17pthreadEntryPointEPv (libjavascriptcoregtk-4.0.so.18)
                                              #5  0x00007f149ed6c555 start_thread (libpthread.so.0)
                                              #6  0x00007f14972e7b9d __clone (libc.so.6)
                                              
                                              Stack trace of thread 13627:
                                              #0  0x00007f14972dc2fd poll (libc.so.6)
                                              #1  0x00007f149c9aadbc g_main_context_iterate.isra.29 (libglib-2.0.so.0)
                                              #2  0x00007f149c9ab142 g_main_loop_run (libglib-2.0.so.0)
                                              #3  0x00007f149fc73335 _ZN3WTFL16threadEntryPointEPv (libjavascriptcoregtk-4.0.so.18)
                                              #4  0x00007f149fc8fffa _ZN3WTFL19wtfThreadEntryPointEPv (libjavascriptcoregtk-4.0.so.18)
                                              #5  0x00007f149ed6c555 start_thread (libpthread.so.0)
                                              #6  0x00007f14972e7b9d __clone (libc.so.6)
                                              
                                              Stack trace of thread 13630:
                                              #0  0x00007f149ed71540 pthread_cond_wait@@GLIBC_2.3.2 (libpthread.so.0)
                                              #1  0x00007f1497b77f0c _ZNSt18condition_variable4waitERSt11unique_lockISt5mutexE (libstdc++.so.6)
                                              #2  0x00007f149f96fb23 _ZN3JSC8GCThread16waitForNextPhaseEv (libjavascriptcoregtk-4.0.so.18)
                                              #3  0x00007f149f96fc0b _ZN3JSC8GCThread12gcThreadMainEv (libjavascriptcoregtk-4.0.so.18)
                                              #4  0x00007f149fc73335 _ZN3WTFL16threadEntryPointEPv (libjavascriptcoregtk-4.0.so.18)
                                              #5  0x00007f149fc8fffa _ZN3WTFL19wtfThreadEntryPointEPv (libjavascriptcoregtk-4.0.so.18)
                                              #6  0x00007f149ed6c555 start_thread (libpthread.so.0)
                                              #7  0x00007f14972e7b9d __clone (libc.so.6)
                                              
                                              Stack trace of thread 13655:
                                              #0  0x00007f149ed71540 pthread_cond_wait@@GLIBC_2.3.2 (libpthread.so.0)
                                              #1  0x00007f149f962a2b _ZN3JSC3DFG8Worklist9runThreadEPNS0_10ThreadDataE (libjavascriptcoregtk-4.0.so.18)
                                              #2  0x00007f149fc73335 _ZN3WTFL16threadEntryPointEPv (libjavascriptcoregtk-4.0.so.18)
                                              #3  0x00007f149fc8fffa _ZN3WTFL19wtfThreadEntryPointEPv (libjavascriptcoregtk-4.0.so.18)
                                              #4  0x00007f149ed6c555 start_thread (libpthread.so.0)
                                              #5  0x00007f14972e7b9d __clone (libc.so.6)
                                              
                                              Stack trace of thread 13616:
                                              #0  0x00007f14972dc2fd poll (libc.so.6)
                                              #1  0x00007f149c9aadbc g_main_context_iterate.isra.29 (libglib-2.0.so.0)
                                              #2  0x00007f149c9ab142 g_main_loop_run (libglib-2.0.so.0)
                                              #3  0x00007f149cfcc696 gdbus_shared_thread_func (libgio-2.0.so.0)
                                              #4  0x00007f149c9d20a5 g_thread_proxy (libglib-2.0.so.0)
                                              #5  0x00007f149ed6c555 start_thread (libpthread.so.0)
                                              #6  0x00007f14972e7b9d __clone (libc.so.6)
                                              
                                              Stack trace of thread 13618:
                                              #0  0x00007f14972dc2fd poll (libc.so.6)
                                              #1  0x00007f149c9aadbc g_main_context_iterate.isra.29 (libglib-2.0.so.0)
                                              #2  0x00007f149c9ab142 g_main_loop_run (libglib-2.0.so.0)
                                              #3  0x00007f149fc73335 _ZN3WTFL16threadEntryPointEPv (libjavascriptcoregtk-4.0.so.18)
                                              #4  0x00007f149fc8fffa _ZN3WTFL19wtfThreadEntryPointEPv (libjavascriptcoregtk-4.0.so.18)
                                              #5  0x00007f149ed6c555 start_thread (libpthread.so.0)
                                              #6  0x00007f14972e7b9d __clone (libc.so.6)
                                              
                                              Stack trace of thread 13629:
                                              #0  0x00007f149ed71540 pthread_cond_wait@@GLIBC_2.3.2 (libpthread.so.0)
                                              #1  0x00007f1497b77f0c _ZNSt18condition_variable4waitERSt11unique_lockISt5mutexE (libstdc++.so.6)
                                              #2  0x00007f149f96fb23 _ZN3JSC8GCThread16waitForNextPhaseEv (libjavascriptcoregtk-4.0.so.18)
                                              #3  0x00007f149f96fc0b _ZN3JSC8GCThread12gcThreadMainEv (libjavascriptcoregtk-4.0.so.18)
                                              #4  0x00007f149fc73335 _ZN3WTFL16threadEntryPointEPv (libjavascriptcoregtk-4.0.so.18)
                                              #5  0x00007f149fc8fffa _ZN3WTFL19wtfThreadEntryPointEPv (libjavascriptcoregtk-4.0.so.18)
                                              #6  0x00007f149ed6c555 start_thread (libpthread.so.0)
                                              #7  0x00007f14972e7b9d __clone (libc.so.6)
                                              
                                              Stack trace of thread 13631:
                                              #0  0x00007f149ed71540 pthread_cond_wait@@GLIBC_2.3.2 (libpthread.so.0)
                                              #1  0x00007f1497b77f0c _ZNSt18condition_variable4waitERSt11unique_lockISt5mutexE (libstdc++.so.6)
                                              #2  0x00007f149f96fb23 _ZN3JSC8GCThread16waitForNextPhaseEv (libjavascriptcoregtk-4.0.so.18)
                                              #3  0x00007f149f96fc0b _ZN3JSC8GCThread12gcThreadMainEv (libjavascriptcoregtk-4.0.so.18)
                                              #4  0x00007f149fc73335 _ZN3WTFL16threadEntryPointEPv (libjavascriptcoregtk-4.0.so.18)
                                              #5  0x00007f149fc8fffa _ZN3WTFL19wtfThreadEntryPointEPv (libjavascriptcoregtk-4.0.so.18)
                                              #6  0x00007f149ed6c555 start_thread (libpthread.so.0)
                                              #7  0x00007f14972e7b9d __clone (libc.so.6)
Comment 1 Michael Catanzaro 2015-09-09 19:56:47 EDT
Thank you very much! This is our worst bug by far, but we've never had a reliable reproducer until now.

Note You need to log in before you can comment on or make changes to this bug.